-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Scenario Script - '9F Tyne Dock to Consett Steelworks' By Irascible_SAP
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

FALSE = 0
TRUE = 1

CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

MT_INFO = 0 
MT_ALERT = 1 

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

FULLSCREEN = 0
FRONT_AND_CENTER = 1
CALL = 2

NO_CONTROLS = 0
PLAYPAUSE = 1
STOP = 2
SEEK = 4

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	-- Activators
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function DisplayIntro()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Intro.html", 30, MSG_TOP, MSG_REG, TRUE );
end

function StopDisplayIntro()
end

function DisplayInfo()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Info.html", 50, MSG_TOP, MSG_REG, FALSE );
end

function StopDisplayInfo()
end

function DisplayTyneDockUp()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "TyneDockUp.html", 20, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayTyneDockUp()
end

function DisplayYardGate2()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "YardGate2.html", 32, MSG_TOP, MSG_REG, FALSE );
end

function StopDisplayYardGate2()
end

function DisplayStellaGill()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "StellaGill.html", 20, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayStellaGill()
end

function DisplayBanker()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Banker.html", 20, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayBanker()
end

function DisplayOutgoing()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Outgoing.html", 20, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayOutgoing()
end

function DisplayBranch()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Branch.html", 30, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayBranch()
end

function DisplayMuseum()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Museum.html", 50, MSG_TOP, MSG_REG, FALSE );
end

function StopDisplayMuseum()
end

function DisplayAnnfield()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Annfield.html", 20, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayAnnfield()
end

function DisplayPontopPike()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "PontopPike.html", 60, MSG_TOP, MSG_REG, FALSE );
end

function StopDisplayPontopPike()
end

function DisplayConsett()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Consett.html", 20, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayConsett()
end

function DisplayOreRunaround1()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "OreRunaround1.html", 25, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayOreRunaround1()
end

function DisplayOreRunaround2()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "OreRunaround2.html", 20, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayOreRunaround2()
end

function DisplayOutro()
	SysCall ("ScenarioManager:ShowInfoMessageExt", " ", "Outro.html", 20, MSG_TOP, MSG_SMALL, FALSE );
end

function StopDisplayOutro()
end

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	-- Event Triggers
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

function OnEvent ( event )

	if event == "Intro" then
		SysCall ( "RegisterRecordedMessage", "DisplayIntro", "StopDisplayIntro", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end

	if event == "Info" then
		SysCall ( "RegisterRecordedMessage", "DisplayInfo", "StopDisplayInfo", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "TyneDockUp" then
		SysCall ( "RegisterRecordedMessage", "DisplayTyneDockUp", "StopDisplayTyneDockUp", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "YardGate2" then
		SysCall ( "RegisterRecordedMessage", "DisplayYardGate2", "StopDisplayYardGate2", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "StellaGill" then
		SysCall ( "RegisterRecordedMessage", "DisplayStellaGill", "StopDisplayStellaGill", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "Banker" then
		SysCall ( "RegisterRecordedMessage", "DisplayBanker", "StopDisplayBanker", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end	
	
	if event == "Outgoing" then
		SysCall ( "RegisterRecordedMessage", "DisplayOutgoing", "StopDisplayOutgoing", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "Branch" then
		SysCall ( "RegisterRecordedMessage", "DisplayBranch", "StopDisplayBranch", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "Museum" then
		SysCall ( "RegisterRecordedMessage", "DisplayMuseum", "StopDisplayMuseum", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "Annfield" then
		SysCall ( "RegisterRecordedMessage", "DisplayAnnfield", "StopDisplayAnnfield", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "PontopPike" then
		SysCall ( "RegisterRecordedMessage", "DisplayPontopPike", "StopDisplayPontopPike", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "Consett" then
		SysCall ( "RegisterRecordedMessage", "DisplayConsett", "StopDisplayConsett", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "OreRunaround1" then
		SysCall ( "RegisterRecordedMessage", "DisplayOreRunaround1", "StopDisplayOreRunaround1", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "OreRunaround2" then
		SysCall ( "RegisterRecordedMessage", "DisplayOreRunaround2", "StopDisplayOreRunaround2", 1);
		SysCall ( "ScenarioManager:PlayDialogueSound", "Chime.wav")
		SysCall ( "ScenarioManager:StopDialogSound", "Chime.wav")
	end
	
	if event == "Outro" then
		SysCall ( "RegisterRecordedMessage", "DisplayOutro", "StopDisplayOutro", 1);
	end
	
end